%global pypi_name sphinxcontrib-htmlhelp
%global srcname sphinxcontrib_htmlhelp

# when bootstrapping sphinx, we cannot run tests yet
%bcond_with check

Name:           python-%{pypi_name}
Version:        2.1.0
Release:        %mkrel 3
Summary:        Sphinx extension for HTML help files
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/sphinxcontrib-htmlhelp/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  python3-devel

%if %{with check}
BuildRequires:  python3-pytest
BuildRequires:  python3-sphinx
BuildRequires:  python3-html5lib
%endif

%description
sphinxcontrib-htmlhelp is a sphinx extension which renders HTML help files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
sphinxcontrib-htmlhelp is a sphinx extension which renders HTML help files.

%prep
%autosetup -n %{srcname}-%{version} -p1

find -name '*.mo' -delete

%generate_buildrequires
%pyproject_buildrequires

%build
for po in $(find -name '*.po'); do
  msgfmt --output-file=${po%.po}.mo ${po}
done

%pyproject_wheel

%install
%pyproject_install

# Move language files to /usr/share
pushd %{buildroot}%{python3_sitelib}
for lang in `find sphinxcontrib/htmlhelp/locales -maxdepth 1 -mindepth 1 -type d -not -path '*/\.*' -printf "%f "`;
do
  test $lang == __pycache__ && continue
  install -d %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
  mv sphinxcontrib/htmlhelp/locales/$lang/LC_MESSAGES/*.mo %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
done
rm -rf sphinxcontrib/htmlhelp/locales
ln -s %{_datadir}/locale sphinxcontrib/htmlhelp/locales
popd

%find_lang sphinxcontrib.htmlhelp

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f sphinxcontrib.htmlhelp.lang
%license LICENCE.rst
%doc README.rst
%dir %{python3_sitelib}/sphinxcontrib/
%{python3_sitelib}/sphinxcontrib/htmlhelp/
%{python3_sitelib}/sphinxcontrib_htmlhelp-%{version}.dist-info/


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.1.0-3.mga10
+ Revision: 2236234
- Mageia 10 Mass Rebuild

* Fri Feb 21 2025 wally <wally> 2.1.0-2.mga10
+ Revision: 2150580
- rebuild for python3.13

* Mon Feb 10 2025 daviddavid <daviddavid> 2.1.0-1.mga10
+ Revision: 2146681
- new version: 2.1.0

* Sun Jan 21 2024 wally <wally> 2.0.5-1.mga10
+ Revision: 2033360
- new version 2.0.5

* Thu Dec 07 2023 wally <wally> 2.0.0-4.mga10
+ Revision: 2015004
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 2.0.0-3.mga9
+ Revision: 1822188
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 2.0.0-2.mga9
+ Revision: 1772090
- rebuild for python3.10

* Thu Jul 15 2021 guillomovitch <guillomovitch> 2.0.0-1.mga9
+ Revision: 1736127
- new version 2.0.0

* Sun Mar 14 2021 wally <wally> 1.0.3-2.mga9
+ Revision: 1702699
- rebuild for python 3.9

* Mon Sep 14 2020 guillomovitch <guillomovitch> 1.0.3-1.mga8
+ Revision: 1626572
- new version 1.0.3

* Sun Feb 16 2020 umeabot <umeabot> 1.0.2-2.mga8
+ Revision: 1530936
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 1.0.2-1.mga8
+ Revision: 1437874
- new version 1.0.2
- rebuild for python3.8

* Mon Jul 15 2019 tv <tv> 1.0.1-1.mga8
+ Revision: 1421781
- imported package python-sphinxcontrib-htmlhelp


* Fri Mar 01 2019 Miro Hrončok <mhroncok@redhat.com> - 1.0.1-1
- Initial package
